//==============================================================================
//
//  Tinker Bell (MapHack for WinMine 2000 Pro and XP Pro) (Korean version only)
//
// Writer : Yeori (Sun Kyung-Ryul)
// Date   : June 30th, 2003.
// e-mail : alphamcu@hanmail.net
// web    : www.zap.pe.kr
//
// comments : no copyright and no restriction to use and distribute. :)
//
// Change log : July 1st, 2003. - Support WinMine for Windows XP Pro.
//
//==============================================================================

#pragma once


// CTinkerBellDlg dialog
class CTinkerBellDlg : public CDialog
{
// Construction
public:
	CTinkerBellDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_TINKERBELL_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

private:
	BOOL GetHandles(HWND *pWndHandle, HANDLE *pInstanceHandle);
	BOOL GetMatrixInfo(HANDLE hProcess);

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedOnButton();
	afx_msg void OnBnClickedOffButton();
	afx_msg void OnBnClickedAboutButton();
private:
	DWORD m_WidthEdit;
	DWORD m_HeightEdit;
};
